## ros-indigo-qglv-gallery 0.1.7

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(qglv_gallery)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
    )

find_package(OpenGL REQUIRED)

# TODO: put this logic in a cmake find module - repeated in qglv_extras
find_path(QGLViewer_INCLUDE_DIRS QGLViewer/qglviewer.h)
find_library(QGLViewer_LIBRARY NAMES QGLViewer)
# Since we have no cmake module, for QGLViewer, we must fetch qt ourselves.
set(QT_INCLUDE_DIRS_NO_SYSTEM TRUE)
if(QGLViewer_INCLUDE_DIRS)
  set(QGLViewer_VERSION_FILE ${QGLViewer_INCLUDE_DIRS}/QGLViewer/config.h)
  file(READ ${QGLViewer_VERSION_FILE} QGLViewer_VERSION_FILE_CONTENTS)
  string(REGEX MATCH "#define QGLVIEWER_VERSION 0x[0-9]+" QGLViewer_VERSION "${QGLViewer_VERSION_FILE_CONTENTS}")
  string(REGEX REPLACE "#define QGLVIEWER_VERSION 0x0([0-9]+)" "\\1" QGLViewer_VERSION "${QGLViewer_VERSION}")
  message(STATUS "QGLViewer_VERSION..........${QGLViewer_VERSION}")
endif()

find_package(Qt4 COMPONENTS QtCore QtGui QtOpenGL REQUIRED)
include(${QT_USE_FILE})

# be nice to get rid of this as we only use it for two things - 1) text
# rendering and 2) libqglviewer doesn't directly depend on it, but
# including some of the example program apis brings in this
# requirement...
find_package(GLUT REQUIRED)

##############################################################################
# Catkin
##############################################################################

# only applications, no exports necessary
catkin_package()

##############################################################################
# Project Configuration
##############################################################################

add_definitions(${catkin_DEFINITIONS})
include_directories(
    include
    ${QGLViewer_INCLUDE_DIRS}
    ${QT_INCLUDES}    # list of escaped QtCore, ... subdirs.
    ${QT_INCLUDE_DIR} # the root level qt4 dir
    ${GLUT_INCLUDE_DIR}
    ${OPENGL_INCLUDE_DIR}
    ${catkin_INCLUDE_DIRS}
)

##############################################################################
# Sources
##############################################################################

# ubuntu saucy has 203xx versions, make sure to avoid building them as
# we currently do not support (trusty has 205xx)
if(${QGLViewer_VERSION} GREATER "20399")
  add_subdirectory(src)
endif()

##############################################################################
# Installs
##############################################################################

install(DIRECTORY ui DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== src/CMakeLists.txt ===
##############################################################################
# Qt Source Generation
##############################################################################

QT4_WRAP_CPP(MOC_SOURCES ${PROJECT_SOURCE_DIR}/include/qglv/gallery.hpp)
QT4_WRAP_UI(UI_INTERFACE_SOURCES ${PROJECT_SOURCE_DIR}/ui/gallery_interface.ui)
include_directories(${CMAKE_CURRENT_BINARY_DIR})  # this is where ui headers are dropped.

##############################################################################
# Macros
##############################################################################

macro(${PROJECT_NAME}_add_demo name)
  set(target_name ${PROJECT_NAME}_${name})  # unique target names
  add_executable(${target_name} ${name}.cpp ${MOC_SOURCES} ${ARGN})
  set_target_properties(${target_name} PROPERTIES OUTPUT_NAME ${name})
  target_link_libraries(${target_name}
      ${QGLViewer_LIBRARY}
      ${QT_LIBRARIES}
      ${GLUT_LIBRARY}
      ${OPENGL_LIBRARY}
      ${catkin_LIBRARIES}
    )
  # install rule only valid if it is not EXCLUDE_FROM_ALL above.
  install(TARGETS ${target_name} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

##############################################################################
# Executables
##############################################################################

qglv_gallery_add_demo(background_image)
qglv_gallery_add_demo(frame_transform)
qglv_gallery_add_demo(interface ${UI_INTERFACE_SOURCES})
qglv_gallery_add_demo(keyframe_interpolation)
qglv_gallery_add_demo(manipulated_frame)
qglv_gallery_add_demo(multi_view)
qglv_gallery_add_demo(thumbnail)

=== debian/changelog ===
ros-indigo-qglv-gallery (0.1.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 16 Jun 2016 03:20:40 -0000

ros-indigo-qglv-gallery (0.1.6-0trusty) trusty; urgency=high

  * legacy support on old versions is 203xx, not 20304.

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 02 Nov 2015 15:00:00 -0000

ros-indigo-qglv-gallery (0.1.4-0trusty) trusty; urgency=high

  * aborting support of qglviewer versions prior to 2.5 (that found on trusty)

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 01 Nov 2015 15:00:00 -0000

ros-indigo-qglv-gallery (0.1.1-0trusty) trusty; urgency=high

  * initial prototype

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 18 Oct 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-qglv-gallery
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libqglviewer-dev, libxi-dev, libxmu-dev, ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-qglv-gallery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libqglviewer2, libxi-dev, libxmu-dev
Description: Example programs from qglviewer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-qglv-gallery//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
